Package org.apache.tomcat.util.descriptor.web

## Class WebXmlParser

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.WebXmlParser

    public class WebXmlParser
    extends java.lang.Object

### Constructor Summary

Constructors
`WebXmlParser​(boolean namespaceAware, boolean validation, boolean blockExternal)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `parseWebXml​(java.net.URL url, WebXml dest, boolean fragment)` Parse a web descriptor at a location.
`boolean` `parseWebXml​(org.xml.sax.InputSource source, WebXml dest, boolean fragment)`
`void` `setClassLoader​(java.lang.ClassLoader classLoader)` Sets the ClassLoader to be used for creating descriptor objects.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebXmlParser

    public WebXmlParser​(boolean namespaceAware,
                        boolean validation,
                        boolean blockExternal)

### Method Detail

#### parseWebXml

    public boolean parseWebXml​(java.net.URL url,
                               WebXml dest,
                               boolean fragment)
                        throws java.io.IOException

Parse a web descriptor at a location.

Parameters:
  `url` - the location; if null no load will be attempted
  `dest` - the instance to be populated by the parse operation
  `fragment` - indicate if the descriptor is a web-app or web-fragment
Returns:
  true if the descriptor was successfully parsed
Throws:
  `java.io.IOException` - if there was a problem reading from the URL

#### parseWebXml

    public boolean parseWebXml​(org.xml.sax.InputSource source,
                               WebXml dest,
                               boolean fragment)

#### setClassLoader

    public void setClassLoader​(java.lang.ClassLoader classLoader)

Sets the ClassLoader to be used for creating descriptor objects.

Parameters:
  `classLoader` - the ClassLoader to be used for creating descriptor objects